/* ld script to make ARM BIOS
 */
OUTPUT_ARCH(arm)
ENTRY(_entry)
SECTIONS
{
	. = 0x411400c0;
	.text : {
		_text = .;		/* Text and read-only data      */
		  *(.text)
		  *(.fixup)
		  *(.gnu.warning)
		  *(.rodata)
		. = ALIGN(4);
		_etext = .;
	}

	. = 0x1000;
	.data : {			/* Data                         */
		_data = .;
		  *(.data)
		_edata = .;
	}
	_data_sz = SIZEOF(.data);

	.bss : {
		_bss_start = .;		/* BSS                          */
		  *(.bss)
		  *(COMMON)
		_end = . ;
	}
}
