/*
 * include/bios/x86.h
 *
 * Copyright (C) 2000 Russell King.
 *
 * X86 Emulator glue interface
 */
#include <bios/types.h>

struct rom_header {
	u16 magic;
#define ROM_MAGIC	0xaa55

	u8  paud[0x16];
	u16 pci_off;
};

struct pci_data {
	u32 pcir_magic;
#define PCIR_MAGIC	*(u32 *)"PCIR"
	u16 vendor_id;
	u16 device_id;
	u16 vpd_off;
	u16 struct_len;
	u8  struct_rev;
	u8  class[3];
	u16 img_len;
	u16 rev;
	u8  type;
#define TYPE_X86	0
#define TYPE_OPEN	1
	u8  indicator;
	u16 reserved;
};

/*
 * Copy into the x86 BIOS area
 */
void x86_copy_in(unsigned int addr, void *data, int sz);

/*
 * Copy out of the x86 BIOS area
 */
void x86_copy_out(void *data, unsigned int addr, int sz);

/*
 * Execute some x86 code
 */
void x86_call(unsigned int eip, unsigned int ax);

/*
 * Initialise the X86 core
 */
void x86_init(void);

