/*
 * This is a damned-simple configuration layer for the EBSA285 BIOS
 */

#include <bios/types.h>
#include <bios/config.h>
#include <bios/rtc.h>
#include <bios/cfg.h>
#include <bios/string.h>

void cfg_read(void)
{
	int i;

	img_nr = rtc_read_cmos(0);
	root_dev = rtc_read_cmos(2) | rtc_read_cmos(3) << 8;

	for (i = 0; i < 80; i++) {
		extra_args[i] = rtc_read_cmos(128+i);
		if (!extra_args[i])
			break;
	}
	extra_args[79] = '\0';
}

void cfg_write(void)
{
	int i, len;

	rtc_write_cmos(img_nr, 0);
	rtc_write_cmos(root_dev, 2);
	rtc_write_cmos(root_dev >> 8, 3);

	len = strnlen(extra_args, 80);
	for (i = 0; i <= len; i++)
		rtc_write_cmos(extra_args[i], 128+i);
}

void cfg_init(void)
{
	cfg_read();
}
