/* 
 * Simple atol()
 * by Nicolas Pitre <nico@cam.org>
 *
 * This is usually found in stdlib.h, but folded in string.h for now.
 */


#include <bios/string.h>


long
atol (const char *str)
{
  register long x = 0;
  long neg;

  while (*str == ' ')
    str++;
  if (*str == '-')
    {
      neg = -1;
      str++;
    }
  else
    neg = 1;
  while (*str && *str >= '0' && *str <= '9')
    {
      x *= 10;
      x += (*str++) - '0';
    }
  return x * neg;
}
